user.setCustomFieldValue

Set the value of a custom field on an employee.

The values accepted in the fieldValue param depend on the type of field being updated. See the customField.setValue docs for accepted types.

Note: When updating multiple custom fields on the same employee, use user.setCustomFieldValues instead to avoid race conditions.

Requires the organizationWrite permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid
required
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

The id of the employee to set the custom field value for

uuid
required
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

The unique id of the Custom Field definition for the field

boolean | number | string | array | object | null
required

The value to store in the field. Type depends on the custom field type (boolean, string, number, object, etc.)

  • Location field: An object with the following properties: { country: "USA", city: "San Francisco", region: "California" }. You may provide any combination of these properties and we will attempt to geocode the location. For best results, provide all three properties.
Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json